Hi!
I just made a synchronization and now get following error:

Fatal error: Class 'F3_FLOW3_Error_DebugExceptionHandler' not found in ...\Packages\FLOW3\Classes\F3_FLOW3.php on
line 244

F3_FLOW3.php (r1210)

242: $errorHandler = new F3::FLOW3::Error::ErrorHandler();
243: $errorHandler->setExceptionalErrors($this->settings->errorHandler->exceptionalErrors);
244: new $this->settings->exceptionHandler->className;

So, it's seems to me, that in className the old style of a class Name is used.

System: WindowsXP, Xampp with PHP5.3, mbstring,...

History
#1 - 2008-09-15 17:08 - Malte Jansen

This solves the problem. (I know, not the best way, but I can work)

$temp = str_replace('_', '::', $this->settings->exceptionHandler->className);
new $temp;

But I'm not sure, if's an missconfiguration of php. But than there is an exception somewhere missing...

#2 - 2008-09-15 17:15 - Malte Jansen
- % Done changed from 0 to 100

Ok, it's solve. The Configuration-Folder was not link to the svn-version.
#3 - 2008-09-16 16:02 - Karsten Dambekalns
- Status changed from New to Closed
